EAPI EAPI_WEAK const Efl_Event_Description _EFL_GFX_ENTITY_EVENT_HINTS_CHANGED =
   EFL_EVENT_DESCRIPTION("hints,changed");
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_hint_aspect_set, EFL_FUNC_CALL(mode, sz), Efl_Gfx_Hint_Aspect mode, Eina_Size2D sz);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_gfx_hint_aspect_get, EFL_FUNC_CALL(mode, sz), Efl_Gfx_Hint_Aspect *mode, Eina_Size2D *sz);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_hint_size_max_set, EFL_FUNC_CALL(sz), Eina_Size2D sz);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_gfx_hint_size_max_get, Eina_Size2D, ((Eina_Size2D){0}));
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_hint_size_restricted_max_set, EFL_FUNC_CALL(sz), Eina_Size2D sz);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_gfx_hint_size_restricted_max_get, Eina_Size2D, ((Eina_Size2D){0}));
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_gfx_hint_size_combined_max_get, Eina_Size2D, ((Eina_Size2D){0}));
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_hint_size_min_set, EFL_FUNC_CALL(sz), Eina_Size2D sz);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_gfx_hint_size_min_get, Eina_Size2D, ((Eina_Size2D){0}));
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_hint_size_restricted_min_set, EFL_FUNC_CALL(sz), Eina_Size2D sz);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_gfx_hint_size_restricted_min_get, Eina_Size2D, ((Eina_Size2D){0}));
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_gfx_hint_size_combined_min_get, Eina_Size2D, ((Eina_Size2D){0}));
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_hint_margin_set, EFL_FUNC_CALL(l, r, t, b), int l, int r, int t, int b);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_gfx_hint_margin_get, EFL_FUNC_CALL(l, r, t, b), int *l, int *r, int *t, int *b);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_hint_weight_set, EFL_FUNC_CALL(x, y), double x, double y);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_gfx_hint_weight_get, EFL_FUNC_CALL(x, y), double *x, double *y);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_hint_align_set, EFL_FUNC_CALL(x, y), Efl_Gfx_Align x, Efl_Gfx_Align y);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_gfx_hint_align_get, EFL_FUNC_CALL(x, y), Efl_Gfx_Align *x, Efl_Gfx_Align *y);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_hint_fill_set, EFL_FUNC_CALL(x, y), Eina_Bool x, Eina_Bool y);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_gfx_hint_fill_get, EFL_FUNC_CALL(x, y), Eina_Bool *x, Eina_Bool *y);

static Eina_Bool
_efl_gfx_hint_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_GFX_HINT_EXTRA_OPS
#define EFL_GFX_HINT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_aspect_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_aspect_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_max_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_max_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_restricted_max_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_restricted_max_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_combined_max_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_min_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_min_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_restricted_min_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_restricted_min_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_combined_min_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_margin_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_margin_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_weight_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_weight_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_align_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_align_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_fill_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_fill_get, NULL),
      EFL_GFX_HINT_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_gfx_hint_class_desc = {
   EO_VERSION,
   "Efl.Gfx.Hint",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_gfx_hint_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_gfx_hint_interface_get, &_efl_gfx_hint_class_desc, NULL, NULL);
